# Run unit tests against installed streamlink package
Test-Command: PYTHONPATH=/usr/share/streamlink pytest-3 tests
Depends: streamlink, python3-pytest, python3-mock, python3-requests-mock, python3-freezegun

# Test streamlink against a generated on-disk HLS stream
Test-Command: sh debian/tests/do-test.sh streamlink && sh debian/tests/check_manpage.sh streamlink
Depends: streamlink, openssl, bsdmainutils, man-db
Restrictions: allow-stderr

# Test doc package
Test-Command: bash debian/tests/check_docs.sh
Depends: bash, python3-streamlink-doc, doc-base
Restrictions: allow-stderr
